Subject: bug#11681: GNU Emacs 24.1.1 (i386-mingw-nt6.1.7601) Save bug

From: Olaf <[email-masked]>
Date: Fri, 15 Jun 2012 09:02:29 +0200

>> it's a local file. The same did work with the old windows port 23.1.
>> Please note, that the message is Save ... and no Wrote ... has been seen.
>>
>> The message buffer is
>>
>> For information about GNU Emacs and the GNU system, type C-h C-a.
>> SignumDP.v has auto save data; consider M-x recover-this-file
>> Loading vc-hg...done
>> Saving file
>> d:/work/StructuralHealth/Software/PSoC5/Harvester/SignumComparator/SignumDP.cydsn/SignumDP/ms/SignumDP.v...
>> Auto-saving...
> 
> Does this happen for every file you save, or just for some?  If the
> latter, can you try finding out what those files have in common?

for every file, every local drive (network drives not tested)

>> I start emacs by runemacs. running emacs from console by emacs -Q -q it
>> susccessfully wrote the file.
> 
> So you are saying that if you start Emacs by clicking the runemacs
> icon, then you cannot save any files, whereas if you start Emacs by
> running emacs.exe directly, the problem goes away, is that right?

It seems to be only if I start the emacs starts by modelsim. Than
procexp shows:

"C:\Program Files (x86)\emacs-24.1\bin\emacs.exe" +1
"D:\work\StructuralHealth\Software\PSoC5\Harvester\SignumComparator\SignumDP.cydsn\SignumDP\ms\SignumDP.v"

If I run runemacs by clicking the icon and drag&drop my file to the
emacs windows from windows explorer procexp show:

"C:\Program Files (x86)\emacs-24.1\bin\emacs.exe"

I can successfully save the file. Even If I start the emacs by left
click "open with ..."!